88API88API
User GuideAPI ReferenceAI ApplicationsHelp & Support
Video

Kling AI and Jimeng Formats

Call the video generation interface to generate videos, supporting multiple video generation services:

Generate Video

API Endpoint

POST /v1/video/generations

Request Headers

ParameterTypeRequiredDescription
AuthorizationstringYesUser Authentication Token (Bearer: sk-xxxx)
Content-TypestringYesapplication/json

Request Parameters

ParameterTypeRequiredDescription
modelstringYesModel/Style ID
promptstringYesText Prompt
durationnumberNoVideo Duration (seconds)
fpsintegerNoVideo Frame Rate (FPS)
heightintegerNoVideo Height
widthintegerNoVideo Width
imagestringNoImage Input (URL/Base64)
metadataobjectNoVendor Specific/Custom Parameters (e.g., negative_prompt, style, quality_level, etc.)
nintegerNoNumber of Videos to Generate
response_formatstringNoResponse Format
seedintegerNoRandom Seed
userstringNoUser Identifier

Request Examples

Kling AI Example

curl https://88api.ai/v1/video/generations \
  --request POST \
  --header 'Authorization: ' \
  --header 'Content-Type: application/json' \
  --data '{
  "model": "kling-v1",
  "prompt": "一个穿着宇航服的宇航员在月球上行走, 高品质, 电影级",
  "size": "1920x1080",
  "image": "https://h2.inkwai.com/bs2/upload-ylab-stunt/se/ai_portal_queue_mmu_image_upscale_aiweb/3214b798-e1b4-4b00-b7af-72b5b0417420_raw_image_0.jpg",
  "duration": 5,
  "metadata": {
    "seed": 20231234,
    "negative_prompt": "模糊",
    "image_tail": "https://h1.inkwai.com/bs2/upload-ylab-stunt/1fa0ac67d8ce6cd55b50d68b967b3a59.png"
  }
}'

Jimeng AI Example

curl https://88api.ai/v1/video/generations \
  --request POST \
  --header 'Authorization: ' \
  --header 'Content-Type: application/json' \
  --data '{
  "model": "jimeng_vgfm_t2v_l20",
  "prompt": "一个穿着宇航服的宇航员在月球上行走",
  "image": "https://h2.inkwai.com/bs2/upload-ylab-stunt/se/ai_portal_queue_mmu_image_upscale_aiweb/3214b798-e1b4-4b00-b7af-72b5b0417420_raw_image_0.jpg",
  "metadata": {
    "req_key": "jimeng_vgfm_i2v_l20",
    "image_urls": [
      "https://h2.inkwai.com/bs2/upload-ylab-stunt/se/ai_portal_queue_mmu_image_upscale_aiweb/3214b798-e1b4-4b00-b7af-72b5b0417420_raw_image_0.jpg"
    ],
    "aspect_ratio": "16:9"
  }
}'

Vidu Channel Example

curl https://88api.ai/v1/video/generations \
  --request POST \
  --header 'Authorization: ' \
  --header 'Content-Type: application/json' \
  --data '{
  "model": "viduq1",
  "prompt": "一个穿着宇航服的宇航员在月球上行走, 高品质, 电影级",
  "size": "1920x1080",
  "image": "https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/image2video.png",
  "duration": 5,
  "metadata": {
    "duration": 5,
    "seed": 0,
    "resolution": "1080p",
    "movement_amplitude": "auto",
    "bgm": false,
    "payload": "",
    "callback_url": "https://your-callback-url.com/webhook"
  }
}'

Query Video

Query the status and results of the video generation task based on the Task ID

API Endpoint

GET /v1/video/generations/{task_id}

Path Parameters

ParameterTypeRequiredDescription
task_idstringYesTask ID

Request Example

curl 'https://88api.ai/v1/video/generations/{task_id}'

Response Format

200 - Successful Response

{
  "error": null,
  "format": "mp4",
  "metadata": {
    "duration": 5,
    "fps": 30,
    "height": 512,
    "seed": 20231234,
    "width": 512
  },
  "status": "succeeded",
  "task_id": "abcd1234efgh",
  "url": "string"
}

Response Field Description

FieldTypeDescription
task_idstringTask ID
statusstringTask Status (processing, succeeded, failed)
formatstringVideo Format
urlstringVideo Resource URL (on success)
metadataobjectResult Metadata
errorobjectError Information (null on success)

Error Responses

400 - Request Parameter Error

{
  "code": null,
  "message": "string",
  "param": "string",
  "type": "string"
}

401 - Unauthorized

{
  "code": null,
  "message": "string",
  "param": "string",
  "type": "string"
}

403 - Forbidden

{
  "code": null,
  "message": "string",
  "param": "string",
  "type": "string"
}

500 - Internal Server Error

{
  "code": null,
  "message": "string",
  "param": "string",
  "type": "string"
}